////////////////////////////////////////////////////
//	Gyro Interface Code  // 1/28/06 // Matt Krass //
////////////////////////////////////////////////////
//												  //
//		Notes:									  //
////////////////////////////////////////////////////

#ifdef VARIABLE_DECLARE
	unsigned char GyroTicks = 0;
	signed long RawHeading = 0;
	int min_sample;
	int max_sample;
	signed int error = 0;
	signed int cum_error = 0;
#else
	extern unsigned char GyroTicks;
	extern signed long RawHeading;
#endif

/* ADX300 */
  #define DEG90  3461  // Gyro ticks in  90 degrees (8700 for ADX150, 3461 for ADX300)
  #define DEG180 6922  // Gyro ticks in 180 degrees (original)
  #define DEG360 13844 // Gyro ticks in 360 degrees (original)

/* ADX150 */
//  #define DEG90  8700   // Gyro ticks in  90 degrees (8700 for ADX150)
//  #define DEG180 17400  // Gyro ticks in 180 degrees (original)
//  #define DEG360  34800 // Gyro ticks in 360 degrees (original)

#define GYRO_DEGREES (((-RawHeading * 360 * 10) + DEG180) / DEG360)
#define GYRO_RAW_DEG(x) (((-x * 360) + DEG180) / DEG360)
#define GYRO_DEG_RAW(x) ((long)x * DEG360 / 360)
#define GTURN_DEADBAND 3
#define GTURN_DEADBAND_BIG 8

void Gyro(void);
signed int GyroTurnRaw(signed int TargetRawHeading);
signed int GyroDrive(int speed);
